<?xml version="1.0" encoding="UTF-8" ?>
<jsp:root
	xmlns:jsp="http://java.sun.com/JSP/Page"
	xmlns:og="hybs-taglib.tld"
	version="2.0">
<jsp:directive.page language="java" contentType="text/html; charset=UTF-8" />

<og:head headType="result" />
<jsp:directive.include file="/jsp/custom/result_info.jsp" />
<og:comment
	system   = "GG:拡張ｵﾌﾟｼｮﾝ"
	pgid     = "GG0090"
	title    = "ﾌｧｲﾙ抜き出し"
	date     = "2021/5/6"
	author   = "K.HASEGAWA"
	text     = ""
	version  = "001"
/>

<og:columnCheck
	command   = "{@command}"
/>

<og:value command="SET" key="YMDFROM" value='{@NVL.DYFROM "@DATE.YMD M-1"}' />	<!-- １ヶ月前 -->
<og:value command="SET" key="YMDTO"   value='{@NVL.DYTO    @DATE.YMD     }' />

<og:value command="SET" key="DIR" value="{@USER.ID}/db/data/{@OUT_FILE}" />
<og:value command="SET" key="ZIP" value="{@USER.ID}/zip" />

<!-- ZIP出力の場合、リンクを用意します。(ZIPファイルはまだ未作成 -->
<og:equals val1="{@ZIP_FILE}" nullCheck="true" notEquals="true">
	<og:link href="{@SYS.CONTEXT_URL}{@SYS.FILE_URL}{@ZIP}/{@ZIP_FILE}.zip" target="_blank" useGamenId="false" >
		<img src="{@SYS.JSP_IMG}/floppy.gif" alt="Excel Open" /> {@ZIP_FILE}.zip <og:message lbl="MSG0056" />
	</og:link><br />
</og:equals>

<!-- 出力先フォルダのｱﾄﾞﾚｽ表示 -->
<og:text>{@SYS.REAL_PATH}{@SYS.FILE_URL}{@DIR}</og:text><br />
<og:file action="delete" fileURL="{@SYS.REAL_PATH}{@SYS.FILE_URL}" file1="{@DIR}" useStop="false" />

=============================================================================

<og:value command="SET" key="GG01_SQL">
	select TOKEN,SEQNO,TKN_NM,VIEW_LEN,TANI,DATA_TYPE,TKN_GRP
			,FGJ,DYSET,DYUPD,USRSET,USRUPD,PGSET,PGUPD
	from GG01
	<og:where>
		<og:and value = "DYSET	&gt;= '{@YMDFROM}'"		/>
		<og:and value = "DYSET	&lt;= '{@YMDTO}'"		/>
	</og:where>
	order by TOKEN
</og:value>

<og:value command="SET" key="GG02_SQL">
	select SET_GRP,TOKEN,TKN_GRP,TKN_NM,TAB_NM,GRP_POS,DEF_VAL,ROWNO,COLNO,ROWSPAN
			,COLSPAN,CDREC,CDDISP,E_MIN,W_MIN,W_MAX,E_MAX,OPT_ATTR
			,FGJ,DYSET,DYUPD,USRSET,USRUPD,PGSET,PGUPD
	from GG02
	<og:where>
		<og:and value = "DYSET		&gt;= '{@YMDFROM}'"		/>
		<og:and value = "DYSET		&lt;= '{@YMDTO}'"		/>
		<og:and value = "SET_GRP	=     '{@SET_GRP}'"		/>
	</og:where>
	order by SET_GRP,TOKEN
</og:value>

<og:value command="SET" key="GG03_SQL">
	select SEL_TYPE,SEL_KEY,SEL_VAL,SEQNO,SEL_NM,SEL_GRP,MARKER
			,FGJ,DYSET,DYUPD,USRSET,USRUPD,PGSET,PGUPD
	from GG03
	order by SEL_TYPE,SEL_KEY,SEL_VAL
</og:value>

<og:value command="SET" key="GG10_SQL">
	select DY_HATU,SET_GRP,SET_KEY,TOKEN,UPCNT,VAL,TANI,JUDG,RIYU
			,FGJ,DYSET,DYUPD,USRSET,USRUPD,PGSET,PGUPD
	from GG10
	<og:where>
		<og:and value = "DY_HATU	&gt;= '{@YMDFROM}'"		/>
		<og:and value = "DY_HATU	&lt;= '{@YMDTO}'"		/>
		<og:and value = "SET_GRP	=    '{@SET_GRP}'"		/>
		<og:and value = "SET_KEY	like '{@SET_KEY}'"		/>
	</og:where>
	order by DY_HATU,SET_GRP,SET_KEY,TOKEN,UPCNT
</og:value>

<og:value command="SET" key="GG11_SQL">
	select DY_YOTE,SET_GRP,SET_KEY,NEXTDY,CDJISI,DY_HATU,JUDG
			,USRYOTE,USRJISI,USRAPP,BG_KEY,VIEW_XY,CMNT
			,FGJ,DYSET,DYUPD,USRSET,USRUPD,PGSET,PGUPD
	from GG11
	<og:where>
		<og:and value = "DY_HATU	&gt;= '{@YMDFROM}'"		/>
		<og:and value = "DY_HATU	&lt;= '{@YMDTO}'"		/>
		<og:and value = "SET_GRP	=    '{@SET_GRP}'"		/>
		<og:and value = "SET_KEY	like '{@SET_KEY}'"		/>
	</og:where>
	order by DY_YOTE,SET_GRP,SET_KEY,NEXTDY
</og:value>

<og:equals val1="xsl" val2="{@OUT_FILE}" >
	<jsp:directive.include file="fileSave.jsp" />
</og:equals>

<og:equals val1="xml" val2="{@OUT_FILE}" >
	<jsp:directive.include file="xmlSave.jsp" />
</og:equals>

=============================================================================<br/>

<!-- ZIPファイルの作成 -->
<og:equals val1="{@ZIP_FILE}" nullCheck="true" notEquals="true">
	<og:file action="zip" file1="{@SYS.REAL_PATH}{@SYS.FILE_URL}{@DIR}" file2="{@ZIP}/{@ZIP_FILE}.zip" />
</og:equals>

<jsp:directive.include file="/jsp/common/htmlend.jsp" />
</jsp:root>
